#define OBSERVE struct observe

OBSERVE
   {
   double jd, obs_posn[3], vect[3], ra, dec, obs_mag;
   double r, obj_posn[3], solar_r, computed_ra, computed_dec;
   double weight;
   int is_comet, is_included, precision;
   char mpc_code[4], obj_id[15];
   };

OBSERVE FAR *load_observations( const char *filename,
               const char *obj_name, int *n_obs, int station);
char *find_objects_in_file( const char *filename, int *n_found, int station);
int get_object_name( char *obuff, const char *ibuff);
int get_observer_data( const char FAR *mpc_code, char *buff);
void format_observation( const OBSERVE FAR *obs, char *text,
                                                const int use_tabs);
void put_observer_data_in_text( const char FAR *mpc_code, char *buff);

#ifdef JSAT_OBS
OBSERVE FAR *load_jsat_observations( const char FAR *vsop_data,
               const char *filename, int *n_obs);
#endif
